Bug 98825 - Calc: Data entry form doesn't "do what it says on the tin", loses data being entered
Summary: Calc: Data entry form doesn't "do what it says on the tin", loses data being ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-DataForm
  Show dependency treegraph
 
Reported: 2016-03-22 19:22 UTC by Anthony Youngman
Modified: 2022-03-10 03:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anthony Youngman 2016-03-22 19:22:44 UTC
The "next" and "previous" buttons lose any data the user may have entered, and "new" saves the data but doesn't go to a new record.

To reproduce, create a spreadsheet with several rows. Use the data entry form and go to a row somewhere in the middle. Edit the data.

If you now use "next" or "previous" you will lose your changes.

If you use "new", the changes will be saved, but you will go to the NEXT row, not necessarily a new row.

Tested on LO 4 on gentoo linux, and with the latest official Windows download - 5.1.1.3 - on Windows 7
Comment 1 Anthony Youngman 2016-03-22 19:25:05 UTC
Should have added - in the absence of an explicit "save" button, the user has no way of telling (apart from learning from the school of hard knocks) how he is supposed to save his data.
Comment 2 Buovjaga 2016-03-31 10:45:33 UTC
Consulting ux-advisors. Menu in Calc: Data - Form.
Comment 3 Robinson Tryon (qubit) 2016-08-25 05:49:44 UTC Comment hidden (obsolete)
Comment 4 Heiko Tietze 2016-10-06 07:44:28 UTC
Not sure for what purpose this dialog is implemented. But anyway, the paging (next/previous) through entries in fact doesn't take care about changes.

Option 1) Disable editing and use paging to browse only
Option 2) Save changes on next/previous

I guess 2) is what users expect (at least Anthony) and what this dialog has been designed for. So this is a bug, no further UX advice needed.
Comment 5 Anthony Youngman 2016-10-21 21:33:17 UTC
Yup. Look at what Excel does. It's a data entry form, used to enter and update data. I don't really use it much, but it's a nice convenience, especially when entering a lot of data. So for it to lose data is not nice.

Actually, I'm not sure, but I think Excel may have the same bug with respect to "new", but I'm pretty certain "next" and "previous" don't lose data.
Comment 6 QA Administrators 2017-10-23 14:02:40 UTC Comment hidden (obsolete)
Comment 7 Xisco Faulí 2020-03-09 13:28:31 UTC
Please add keyword 'needsUXEval' and CC 'libreoffice-ux-advise@lists.freedesktop.org' if input from UX is needed.
Comment 8 QA Administrators 2022-03-10 03:44:49 UTC
Dear Anthony Youngman,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug